## javax.servlet
Class ServletContextAttributeEvent

    java.lang.Object
      java.util.EventObject
          javax.servlet.ServletContextEvent
              javax.servlet.ServletContextAttributeEvent

All Implemented Interfaces:
  Serializable

    public class ServletContextAttributeEvent

extends ServletContextEvent

Event class for notifications about changes to the attributes of the ServletContext of a web application.

Since:
  Servlet 2.3
See Also:
  `ServletContextAttributeListener`, Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ServletContextAttributeEvent(ServletContext source, String name, Object value)` Constructs a ServletContextAttributeEvent from the given ServletContext, attribute name, and attribute value.

Method Summary
`String` `getName()` Gets the name of the ServletContext attribute that changed.
`Object` `getValue()` Gets the value of the ServletContext attribute that changed.

Methods inherited from class javax.servlet.ServletContextEvent
`getServletContext`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServletContextAttributeEvent

    public ServletContextAttributeEvent(ServletContext source,
                                        String name,
                                        Object value)

  Constructs a ServletContextAttributeEvent from the given ServletContext, attribute name, and attribute value.

  Parameters:
    `source` - the ServletContext whose attribute changed
    `name` - the name of the ServletContext attribute that changed
    `value` - the value of the ServletContext attribute that changed

Method Detail

### getName

    public String getName()

  Gets the name of the ServletContext attribute that changed.

  Returns:
    the name of the ServletContext attribute that changed

### getValue

    public Object getValue()

  Gets the value of the ServletContext attribute that changed.

  If the attribute was added, this is the value of the attribute. If the attribute was removed, this is the value of the removed attribute. If the attribute was replaced, this is the old value of the attribute.

  Returns:
    the value of the ServletContext attribute that changed

Copyright © 2012 GlassFish Community. All Rights Reserved.